juzu.io

## Class Chunk

- java.lang.Object
- - juzu.io.Chunk

- Direct Known Subclasses:
    Chunk.Data, Chunk.Property

      public abstract class Chunk
      extends Object

  A chunk of data.
  Author:
    Julien Viet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Chunk.Data` A data chunk.
    `static class` | `Chunk.Property<T>` A property chunk.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chunk()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Chunk.Data.Bytes` | `create(byte[] data)`
    `static Chunk.Data.Char` | `create(char c)`
    `static Chunk.Data.Chars` | `create(char[] data)`
    `static Chunk.Data.CharSequence` | `create(CharSequence data)`
    `static Chunk.Data.CharSequence` | `create(CharSequence data, int start, int end)`
    `static Chunk.Data.InputStream` | `create(InputStream data)`
    `static Chunk.Data.Readable` | `create(Readable data)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Chunk

          public Chunk()

  - ### Method Detail

    - #### create

          public static Chunk.Data.Char create(char c)

    - #### create

          public static Chunk.Data.CharSequence create(CharSequence data)

    - #### create

          public static Chunk.Data.CharSequence create(CharSequence data,
                                       int start,
                                       int end)

    - #### create

          public static Chunk.Data.InputStream create(InputStream data)

    - #### create

          public static Chunk.Data.Readable create(Readable data)

    - #### create

          public static Chunk.Data.Chars create(char[] data)

    - #### create

          public static Chunk.Data.Bytes create(byte[] data)

Copyright © 2015 eXo Platform SAS. All rights reserved.